<?php

require_once('/usr/local/www/berogui/includes/isgwtelnet.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'GatewayLogging';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['Enable']) || !isset($this->_get['LogLevel'])  || !isset($this->_get['LogServer'])  || !isset($this->_get['LogPort'])) {
			$this->_execResultString = 'error';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$isgw = new isgwtelnet();

		$isgw->isgw_login();
		usleep(500);

		$isgw->logserver($this->_get['LogServer'], $this->_get['LogPort']);
		usleep(500);

		$isgw->loglevel_message($this->_get['LogLevel']);
		usleep(500);

		$isgw->logactive_message($this->_get['Enable']);
		usleep(500);

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
